AxesDialog Class Reference

General plot options dialog. More...

`#include <AxesDialog.h>`

Inheritance diagram for AxesDialog:

## Public Slots

int | exec ()
| Shows the dialog as a modal dialog. More...
void | setCurrentScale (int axisPos)
void | showAxesPage ()
void | showFormulaBox ()
void | showGeneralPage ()
void | showGridPage ()

## Public Member Functions

| AxesDialog (QWidget *parent=0, Qt::WFlags fl=0)
| Constructor. More...
void | setGraph (Graph *g)

## Protected Member Functions

void | applyAxisFormatToLayer (Graph *g)
| Customizes graph axes. More...
void | applyCanvasFormatTo (Graph *g)
void | applyChangesToGrid (Grid *grid)
| Modifies the grid. More...
void | initAxesPage ()
| generate UI for the axes page More...
void | initFramePage ()
| generate UI for the general page More...
void | initGridPage ()
| generate UI for the grid page More...
void | initScalesPage ()
| generate UI for the scales page More...

## Protected Attributes

QListWidget * | axesGridList
QListWidget * | axesList
QWidget * | axesPage
QListWidget * | axesTitlesList
QComboBox * | axisFormatApplyToBox
QGroupBox * | axisFormatBox
ColorButton * | axisLabelColorButton
QSpinBox * | boxAngle
QCheckBox * | boxAntialiseGrid
QComboBox * | boxApplyGridFormat
QGroupBox * | boxAxesBreaks
QSpinBox * | boxAxesLinewidth
QCheckBox * | boxAxisBackbone
ColorButton * | boxAxisColor
ColorButton * | boxAxisNumColor
QComboBox * | boxAxisType
QCheckBox * | boxBackbones
QSpinBox * | boxBaseline
QSpinBox * | boxBorderWidth
QCheckBox * | boxBreakDecoration
DoubleSpinBox * | boxBreakEnd
QSpinBox * | boxBreakPosition
DoubleSpinBox * | boxBreakStart
QSpinBox * | boxBreakWidth
ColorButton * | boxCanvasColor
QComboBox * | boxColName
ColorButton * | boxColorMajor
ColorButton * | boxColorMinor
DoubleSpinBox * | boxEnd
QDateTimeEdit * | boxEndDateTime
QComboBox * | boxFormat
QTextEdit * | boxFormula
ColorButton * | boxFrameColor
QGroupBox * | boxFramed
QSpinBox * | boxFrameWidth
QComboBox * | boxGridXAxis
QComboBox * | boxGridYAxis
QSpinBox * | boxLabelsDistance
QCheckBox * | boxLog10AfterBreak
QCheckBox * | boxMajorGrid
QSpinBox * | boxMajorTicksLength
QComboBox * | boxMajorTicksType
QSpinBox * | boxMajorValue
QCheckBox * | boxMinorGrid
QComboBox * | boxMinorTicksAfterBreak
QComboBox * | boxMinorTicksBeforeBreak
QSpinBox * | boxMinorTicksLength
QComboBox * | boxMinorTicksType
QComboBox * | boxMinorValue
QSpinBox * | boxPrecision
QLineEdit * | boxPrefix
QComboBox * | boxScaleType
QLabel * | boxScaleTypeLabel
QCheckBox * | boxShowAxis
QCheckBox * | boxShowFormula
QGroupBox * | boxShowLabels
DoubleSpinBox * | boxStart
QDateTimeEdit * | boxStartDateTime
DoubleSpinBox * | boxStep
DoubleSpinBox * | boxStepAfterBreak
DoubleSpinBox * | boxStepBeforeBreak
QLineEdit * | boxSuffix
QComboBox * | boxTableName
QSpinBox * | boxTickLabelDistance
QTextEdit * | boxTitle
PenStyleBox * | boxTypeMajor
PenStyleBox * | boxTypeMinor
QComboBox * | boxUnit
DoubleSpinBox * | boxWidthMajor
DoubleSpinBox * | boxWidthMinor
QCheckBox * | boxXLine
QCheckBox * | boxYLine
QPushButton * | btnAxesFont
QCheckBox * | btnInvert
QRadioButton * | btnMajor
QRadioButton * | btnStep
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonLabelFont
QPushButton * | buttonOk
QComboBox * | canvasFrameApplyToBox
Graph * | d_graph
TextFormatButtons * | formatButtons
QWidget * | frame
QPushButton * | frameDefaultBtn
QTabWidget * | generalDialog
QWidget * | gridPage
QCheckBox * | invertTitleBox
QLabel * | label1
QLabel * | label2
QLabel * | label3
QGroupBox * | labelBox
QLabel * | labelTable
QWidget * | lastPage
| Last selected tab. More...
QLabel * | minorBoxLabel
QWidget * | scalesPage
QComboBox * | showTicksPolicyBox
QStringList | tickLabelsOn

## Private Slots

void | accept ()
void | applyAxisFormat ()
void | applyCanvasFormat ()
void | changeMajorTicksLength (int majLength)
void | changeMinorTicksLength (int minLength)
void | customAxisFont ()
void | customAxisLabelFont ()
void | majorGridEnabled (bool on)
int | mapToQwtAxis (int axis)
int | mapToQwtAxisId ()
void | minorGridEnabled (bool on)
void | pageChanged (QWidget *page)
void | pickAxisLabelColor ()
void | setAxisType (int axis)
void | setBaselineDist (int)
void | setFrameDefaultValues ()
void | setLabelsNumericFormat (int)
void | setTicksType (int)
void | showAxis ()
void | showAxis (int, int, const QString &, bool, int, int, bool, const QColor &, int, int, int, int, const QString &, const QColor &, int, bool, int)
void | showAxisFormatOptions (int format)
void | showAxisFormula (int axis)
void | showGridOptions (int axis)
void | stepDisabled ()
void | stepEnabled ()
void | updateAxisColor (int)
void | updateAxisType (int axis)
void | updateCurrentAxis ()
void | updateGrid ()
void | updateLabelsFormat (int)
void | updateMinorTicksList (int scaleType)
bool | updatePlot (QWidget *page=NULL)
void | updateScale ()
void | updateShowBox (int axis)
void | updateTickLabelsList (bool)
void | updateTitleBox (int axis)

## Detailed Description

General plot options dialog.

Remark: Don't use this dialog as a non modal dialog!

## Constructor & Destructor Documentation

## AxesDialog()

AxesDialog::AxesDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget
  fl | window flags

References accept(), buttonApply, buttonCancel, buttonOk, generalDialog, initAxesPage(), initFramePage(), initGridPage(), initScalesPage(), lastPage, pageChanged(), scalesPage, and updatePlot().

## Member Function Documentation

## accept

void AxesDialog::accept | ( |  | ) |

private slot

References updatePlot().

Referenced by AxesDialog().

## applyAxisFormat

void AxesDialog::applyAxisFormat | ( |  | ) |

private slot

References applyAxisFormatToLayer(), axesPage, axisFormatApplyToBox, d_graph, generalDialog, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), and ApplicationWindow::windowsList().

Referenced by customAxisFont(), and updatePlot().

## applyAxisFormatToLayer()

void AxesDialog::applyAxisFormatToLayer | ( | Graph * | g | ) |

protected

Customizes graph axes.

References boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxBaseline, boxMajorTicksLength, boxMajorTicksType, boxMinorTicksLength, boxMinorTicksType, boxTickLabelDistance, ColorButton::color(), d_graph, mapToQwtAxisId(), Graph::setAxisFont(), Graph::setAxisTicksLength(), ScaleDraw::setShowTicksPolicy(), showTicksPolicyBox, and Graph::updateLayout().

Referenced by applyAxisFormat().

## applyCanvasFormat

void AxesDialog::applyCanvasFormat | ( |  | ) |

private slot

References applyCanvasFormatTo(), canvasFrameApplyToBox, d_graph, frame, generalDialog, MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), and ApplicationWindow::windowsList().

Referenced by changeMajorTicksLength(), changeMinorTicksLength(), initFramePage(), and updatePlot().

## applyCanvasFormatTo()

void AxesDialog::applyCanvasFormatTo | ( | Graph * | g | ) |

protected

References boxAxesLinewidth, boxBackbones, boxFrameColor, boxFramed, boxFrameWidth, boxMajorTicksLength, boxMinorTicksLength, Graph::changeTicksLength(), ColorButton::color(), Graph::drawAxesBackbones(), Graph::setAxesLinewidth(), and Graph::setCanvasFrame().

Referenced by applyCanvasFormat().

## applyChangesToGrid()

void AxesDialog::applyChangesToGrid | ( | Grid * | grid | ) |

protected

Modifies the grid.

References axesGridList, boxAntialiseGrid, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, boxXLine, boxYLine, ColorButton::color(), Grid::enableZeroLineX(), Grid::enableZeroLineY(), Grid::setMajPenX(), Grid::setMajPenY(), Grid::setMinPenX(), Grid::setMinPenY(), PenStyleBox::style(), and DoubleSpinBox::value().

Referenced by updateGrid().

## changeMajorTicksLength

void AxesDialog::changeMajorTicksLength | ( | int | majLength | ) |

private slot

References applyCanvasFormat(), and boxMinorTicksLength.

Referenced by initFramePage().

## changeMinorTicksLength

void AxesDialog::changeMinorTicksLength | ( | int | minLength | ) |

private slot

References applyCanvasFormat(), and boxMajorTicksLength.

Referenced by initFramePage().

## customAxisFont

void AxesDialog::customAxisFont | ( |  | ) |

private slot

References applyAxisFormat(), d_graph, mapToQwtAxisId(), and Graph::setAxisFont().

Referenced by initAxesPage().

## customAxisLabelFont

void AxesDialog::customAxisLabelFont | ( |  | ) |

private slot

References Graph::axisTitleFont(), d_graph, mapToQwtAxisId(), and Graph::setAxisTitleFont().

Referenced by initAxesPage().

## exec

int AxesDialog::exec | ( |  | ) |

slot

Shows the dialog as a modal dialog.

Show the dialog as a modal dialog and do some initialization.

References axesGridList, axesList, and axesTitlesList.

Referenced by ApplicationWindow::showScaleDialog().

## initAxesPage()

void AxesDialog::initAxesPage | ( |  | ) |

protected

generate UI for the axes page

References axesPage, axesTitlesList, axisFormatApplyToBox, axisFormatBox, TextFormatButtons::AxisLabel, axisLabelColorButton, boxAngle, boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxAxisType, boxBaseline, boxColName, boxFormat, boxFormula, boxLabelsDistance, boxMajorTicksType, boxMinorTicksType, boxPrecision, boxPrefix, boxShowAxis, boxShowFormula, boxShowLabels, boxSuffix, boxTableName, boxTickLabelDistance, boxTitle, btnAxesFont, buttonLabelFont, customAxisFont(), customAxisLabelFont(), formatButtons, generalDialog, invertTitleBox, label1, label2, label3, labelBox, labelTable, pickAxisLabelColor(), setAxisType(), setBaselineDist(), setLabelsNumericFormat(), setTicksType(), showAxis(), showAxisFormatOptions(), showFormulaBox(), showTicksPolicyBox, updateAxisColor(), updateCurrentAxis(), updateLabelsFormat(), updatePlot(), updateShowBox(), updateTickLabelsList(), and updateTitleBox().

Referenced by AxesDialog().

## initFramePage()

void AxesDialog::initFramePage | ( |  | ) |

protected

generate UI for the general page

References applyCanvasFormat(), boxAxesLinewidth, boxBackbones, boxFrameColor, boxFramed, boxFrameWidth, boxMajorTicksLength, boxMinorTicksLength, canvasFrameApplyToBox, changeMajorTicksLength(), changeMinorTicksLength(), frame, frameDefaultBtn, generalDialog, and setFrameDefaultValues().

Referenced by AxesDialog().

## initGridPage()

void AxesDialog::initGridPage | ( |  | ) |

protected

generate UI for the grid page

References axesGridList, boxAntialiseGrid, boxApplyGridFormat, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, boxXLine, boxYLine, generalDialog, gridPage, majorGridEnabled(), minorGridEnabled(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), showGridOptions(), updateGrid(), and updatePlot().

Referenced by AxesDialog().

## initScalesPage()

void AxesDialog::initScalesPage | ( |  | ) |

protected

generate UI for the scales page

References axesList, boxAxesBreaks, boxBreakDecoration, boxBreakEnd, boxBreakPosition, boxBreakStart, boxBreakWidth, boxEnd, boxEndDateTime, boxLog10AfterBreak, boxMajorValue, boxMinorTicksAfterBreak, boxMinorTicksBeforeBreak, boxMinorValue, boxScaleType, boxScaleTypeLabel, boxStart, boxStartDateTime, boxStep, boxStepAfterBreak, boxStepBeforeBreak, boxUnit, btnInvert, btnMajor, btnStep, ApplicationWindow::d_decimal_digits, generalDialog, minorBoxLabel, scalesPage, DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), stepDisabled(), stepEnabled(), updateMinorTicksList(), updatePlot(), and updateScale().

Referenced by AxesDialog().

## majorGridEnabled

void AxesDialog::majorGridEnabled | ( | bool | on | ) |

private slot

References boxColorMajor, boxTypeMajor, boxWidthMajor, and updateGrid().

Referenced by initGridPage().

## mapToQwtAxis

int AxesDialog::mapToQwtAxis | ( | int | axis | ) |

private slot

Referenced by mapToQwtAxisId(), updateMinorTicksList(), updatePlot(), updateScale(), updateShowBox(), and updateTitleBox().

## mapToQwtAxisId

int AxesDialog::mapToQwtAxisId | ( |  | ) |

private slot

References axesTitlesList, and mapToQwtAxis().

Referenced by applyAxisFormatToLayer(), customAxisFont(), customAxisLabelFont(), pickAxisLabelColor(), setAxisType(), setBaselineDist(), setLabelsNumericFormat(), setTicksType(), showAxisFormatOptions(), updateAxisColor(), updateAxisType(), updateCurrentAxis(), updateLabelsFormat(), updatePlot(), and updateTickLabelsList().

## minorGridEnabled

void AxesDialog::minorGridEnabled | ( | bool | on | ) |

private slot

References boxColorMinor, boxTypeMinor, boxWidthMinor, and updateGrid().

Referenced by initGridPage().

## pageChanged

void AxesDialog::pageChanged | ( | QWidget * | page | ) |

private slot

References axesList, axesPage, axesTitlesList, lastPage, scalesPage, updateCurrentAxis(), and updateScale().

Referenced by AxesDialog().

## pickAxisLabelColor

void AxesDialog::pickAxisLabelColor | ( |  | ) |

private slot

References axisLabelColorButton, ColorButton::color(), d_graph, mapToQwtAxisId(), and Graph::setAxisTitleColor().

Referenced by initAxesPage().

## setAxisType

void AxesDialog::setAxisType | ( | int | axis | ) |

private slot

References Graph::axisFormatInfo(), Graph::axisType(), boxAxisType, boxColName, d_graph, mapToQwtAxisId(), and showAxisFormatOptions().

Referenced by initAxesPage().

## setBaselineDist

void AxesDialog::setBaselineDist | ( | int |  | ) |

private slot

References boxBaseline, d_graph, and mapToQwtAxisId().

Referenced by initAxesPage().

## setCurrentScale

void AxesDialog::setCurrentScale | ( | int | axisPos | ) |

slot

References axesList, axesPage, axesTitlesList, generalDialog, and scalesPage.

Referenced by ApplicationWindow::showAxisPageFromAxisDialog(), and ApplicationWindow::showScalePageFromAxisDialog().

## setFrameDefaultValues

void AxesDialog::setFrameDefaultValues | ( |  | ) |

private slot

References ApplicationWindow::axesLineWidth, boxAxesLinewidth, boxBackbones, boxFrameColor, boxFramed, boxFrameWidth, boxMajorTicksLength, boxMinorTicksLength, ApplicationWindow::canvasFrameWidth, ColorButton::color(), ApplicationWindow::d_canvas_frame_color, ApplicationWindow::drawBackbones, ApplicationWindow::majTicksLength, ApplicationWindow::minTicksLength, and ApplicationWindow::saveSettings().

Referenced by initFramePage().

## setGraph()

void AxesDialog::setGraph | ( | Graph * | g | ) |

References Table::All, Graph::axesBackbones(), axesGridList, Graph::axesLinewidth(), boxAxesLinewidth, boxBackbones, boxColName, boxFrameColor, boxFramed, boxFrameWidth, boxMajorTicksLength, boxMinorTicksLength, boxTableName, Graph::canvasFrameColor(), Graph::canvasFrameWidth(), ApplicationWindow::columnsList(), d_graph, Graph::majorTickLength(), Graph::minorTickLength(), ColorButton::setColor(), showGridOptions(), ApplicationWindow::tableNames(), tickLabelsOn, and updateTitleBox().

Referenced by ApplicationWindow::showScaleDialog().

## setLabelsNumericFormat

void AxesDialog::setLabelsNumericFormat | ( | int |  | ) |

private slot

References Graph::axisLabelFormat(), Graph::axisLabelPrecision(), boxAngle, boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxAxisType, boxBaseline, boxColName, boxFormat, boxFormula, boxMajorTicksType, boxMinorTicksType, boxPrecision, boxShowAxis, boxShowFormula, boxShowLabels, boxTickLabelDistance, ColorButton::color(), d_graph, ScaleDraw::Date, ScaleDraw::Day, mapToQwtAxisId(), ScaleDraw::Month, ScaleDraw::Numeric, showAxis(), showTicksPolicyBox, and ScaleDraw::Time.

Referenced by initAxesPage().

## setTicksType

void AxesDialog::setTicksType | ( | int |  | ) |

private slot

References boxMajorTicksType, boxMinorTicksType, d_graph, Graph::getMajorTicksType(), Graph::getMinorTicksType(), and mapToQwtAxisId().

Referenced by initAxesPage().

## showAxesPage

void AxesDialog::showAxesPage | ( |  | ) |

slot

References axesPage, and generalDialog.

Referenced by ApplicationWindow::showAxisPageFromAxisDialog().

## showAxis [1/2]

void AxesDialog::showAxis | ( |  | ) |

private slot

References axesTitlesList, axisFormatBox, boxAngle, boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxAxisType, boxBaseline, boxColName, boxFormat, boxFormula, boxMajorTicksType, boxMinorTicksType, boxPrecision, boxShowAxis, boxShowFormula, boxShowLabels, boxTickLabelDistance, ColorButton::color(), labelBox, showTicksPolicyBox, and tickLabelsOn.

Referenced by initAxesPage(), setLabelsNumericFormat(), updatePlot(), and updateTickLabelsList().

## showAxis [2/2]

void AxesDialog::showAxis | ( | int | axis,
|  | int | type,
|  | const QString & | labelsColName,
|  | bool | axisOn,
|  | int | majTicksType,
|  | int | minTicksType,
|  | bool | labelsOn,
|  | const QColor & | c,
|  | int | format,
|  | int | prec,
|  | int | rotation,
|  | int | baselineDist,
|  | const QString & | formula,
|  | const QColor & | labelsColor,
|  | int | spacing,
|  | bool | backbone,
|  | int | showTicks
| ) |  |

private slot

References boxPrefix, boxSuffix, ScaleDraw::ColHeader, d_graph, Graph::showAxis(), ApplicationWindow::table(), and ScaleDraw::Text.

## showAxisFormatOptions

void AxesDialog::showAxisFormatOptions | ( | int | format | ) |

private slot

References Graph::axisFormatInfo(), Graph::axisLabelFormat(), boxColName, boxFormat, boxFormula, boxPrecision, boxShowFormula, boxTableName, d_graph, ScaleDraw::formatString(), label1, label2, label3, labelTable, mapToQwtAxisId(), and showAxisFormula().

Referenced by initAxesPage(), and setAxisType().

## showAxisFormula

void AxesDialog::showAxisFormula | ( | int | axis | ) |

private slot

References Graph::axisFormula(), boxFormula, boxShowFormula, and d_graph.

Referenced by showAxisFormatOptions().

## showFormulaBox

void AxesDialog::showFormulaBox | ( |  | ) |

slot

References boxFormula, and boxShowFormula.

Referenced by initAxesPage().

## showGeneralPage

void AxesDialog::showGeneralPage | ( |  | ) |

slot

References frame, and generalDialog.

## showGridOptions

void AxesDialog::showGridOptions | ( | int | axis | ) |

private slot

References boxAntialiseGrid, boxColorMajor, boxColorMinor, boxGridXAxis, boxGridYAxis, boxMajorGrid, boxMinorGrid, boxTypeMajor, boxTypeMinor, boxWidthMajor, boxWidthMinor, boxXLine, boxYLine, d_graph, Graph::grid(), Grid::majPenX(), Grid::majPenY(), Grid::minPenX(), Grid::minPenY(), ColorButton::setColor(), PenStyleBox::setStyle(), DoubleSpinBox::setValue(), Grid::xZeroLineEnabled(), and Grid::yZeroLineEnabled().

Referenced by initGridPage(), and setGraph().

## showGridPage

void AxesDialog::showGridPage | ( |  | ) |

slot

References generalDialog, and gridPage.

Referenced by ApplicationWindow::showGridDialog().

## stepDisabled

void AxesDialog::stepDisabled | ( |  | ) |

private slot

References boxMajorValue, boxStep, boxUnit, btnMajor, and btnStep.

Referenced by initScalesPage().

## stepEnabled

void AxesDialog::stepEnabled | ( |  | ) |

private slot

References boxMajorValue, boxStep, boxUnit, btnMajor, and btnStep.

Referenced by initScalesPage().

## updateAxisColor

void AxesDialog::updateAxisColor | ( | int |  | ) |

private slot

References Graph::axisColor(), axisLabelColorButton, Graph::axisLabelsColor(), Graph::axisTitleColor(), boxAxisColor, boxAxisNumColor, d_graph, mapToQwtAxisId(), and ColorButton::setColor().

Referenced by initAxesPage().

## updateAxisType

void AxesDialog::updateAxisType | ( | int | axis | ) |

private slot

References boxAxisType, and mapToQwtAxisId().

## updateCurrentAxis

void AxesDialog::updateCurrentAxis | ( |  | ) |

private slot

References boxAxisBackbone, boxPrefix, boxShowLabels, boxSuffix, boxTickLabelDistance, d_graph, mapToQwtAxisId(), ScaleDraw::prefix(), ScaleDraw::showTicksPolicy(), showTicksPolicyBox, and ScaleDraw::suffix().

Referenced by initAxesPage(), and pageChanged().

## updateGrid

void AxesDialog::updateGrid | ( |  | ) |

private slot

References MdiSubWindow::applicationWindow(), applyChangesToGrid(), boxApplyGridFormat, d_graph, generalDialog, Graph::grid(), gridPage, Graph::isPiePlot(), MultiLayer::layersList(), ApplicationWindow::modifiedProject(), Graph::multiLayer(), Graph::notifyChanges(), and ApplicationWindow::windowsList().

Referenced by initGridPage(), majorGridEnabled(), minorGridEnabled(), and updatePlot().

## updateLabelsFormat

void AxesDialog::updateLabelsFormat | ( | int |  | ) |

private slot

References Graph::axisFormula(), Graph::axisLabelFormat(), Graph::axisLabelPrecision(), boxAxisType, boxFormat, boxFormula, boxPrecision, boxShowFormula, d_graph, mapToQwtAxisId(), and ScaleDraw::Numeric.

Referenced by initAxesPage().

## updateMinorTicksList

void AxesDialog::updateMinorTicksList | ( | int | scaleType | ) |

private slot

References axesList, boxMinorValue, Graph::curvesList(), d_graph, Graph::Function, FunctionCurve::loadData(), mapToQwtAxis(), PlotCurve::type(), and updatePlot().

Referenced by initScalesPage().

## updatePlot

bool AxesDialog::updatePlot | ( | QWidget * | page = `NULL` | ) |

private slot

References applyAxisFormat(), applyCanvasFormat(), axesList, axesPage, Graph::axisTitleString(), Graph::axisType(), boxAngle, boxAxesBreaks, boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxAxisType, boxBaseline, boxBreakDecoration, boxBreakEnd, boxBreakPosition, boxBreakStart, boxBreakWidth, boxColName, boxEnd, boxEndDateTime, boxFormat, boxFormula, boxLabelsDistance, boxLog10AfterBreak, boxMajorTicksType, boxMajorValue, boxMinorTicksAfterBreak, boxMinorTicksBeforeBreak, boxMinorTicksType, boxMinorValue, boxPrecision, boxScaleType, boxShowAxis, boxShowFormula, boxShowLabels, boxStart, boxStartDateTime, boxStep, boxStepAfterBreak, boxStepBeforeBreak, boxTableName, boxTickLabelDistance, boxTitle, boxUnit, btnInvert, btnStep, ScaleDraw::ColHeader, ColorButton::color(), d_graph, ScaleDraw::Date, ScaleDraw::Day, frame, Table::fromDateTime(), generalDialog, gridPage, Graph::hasSynchronizedScaleDivisions(), invertTitleBox, mapToQwtAxis(), mapToQwtAxisId(), ScaleDraw::Month, Graph::notifyChanges(), ScaleDraw::Numeric, Graph::oppositeAxis(), scalesPage, Graph::setAxisTitle(), Graph::setAxisTitleDistance(), Graph::setScale(), showAxis(), showTicksPolicyBox, ScaleDraw::Time, updateGrid(), Graph::updateMarkersBoundingRect(), Graph::updateOppositeScaleDiv(), and DoubleSpinBox::value().

Referenced by accept(), AxesDialog(), initAxesPage(), initGridPage(), initScalesPage(), and updateMinorTicksList().

## updateScale

void AxesDialog::updateScale | ( |  | ) |

private slot

References axesList, Graph::axisStep(), Graph::axisType(), boxAxesBreaks, boxBreakDecoration, boxBreakEnd, boxBreakPosition, boxBreakStart, boxBreakWidth, boxEnd, boxEndDateTime, boxLog10AfterBreak, boxMajorValue, boxMinorTicksAfterBreak, boxMinorTicksBeforeBreak, boxMinorValue, boxScaleType, boxStart, boxStartDateTime, boxStep, boxStepAfterBreak, boxStepBeforeBreak, boxUnit, btnInvert, btnMajor, btnStep, d_graph, ScaleDraw::Date, Table::dateTime(), ScaleTransformation::Log10, mapToQwtAxis(), DoubleSpinBox::setSingleStep(), DoubleSpinBox::setValue(), and ScaleDraw::Time.

Referenced by initScalesPage(), and pageChanged().

## updateShowBox

void AxesDialog::updateShowBox | ( | int | axis | ) |

private slot

References axisFormatBox, boxAngle, boxFormat, boxShowAxis, boxShowLabels, d_graph, labelBox, Graph::labelsRotation(), mapToQwtAxis(), and tickLabelsOn.

Referenced by initAxesPage().

## updateTickLabelsList

void AxesDialog::updateTickLabelsList | ( | bool | on | ) |

private slot

References boxAngle, boxAxisBackbone, boxAxisColor, boxAxisNumColor, boxAxisType, boxBaseline, boxColName, boxFormat, boxFormula, boxMajorTicksType, boxMinorTicksType, boxPrecision, boxShowAxis, boxShowFormula, boxShowLabels, boxTickLabelDistance, ColorButton::color(), ScaleDraw::Date, ScaleDraw::Day, mapToQwtAxisId(), ScaleDraw::Month, showAxis(), showTicksPolicyBox, tickLabelsOn, and ScaleDraw::Time.

Referenced by initAxesPage().

## updateTitleBox

void AxesDialog::updateTitleBox | ( | int | axis | ) |

private slot

References Graph::axisTitleDistance(), Graph::axisTitleString(), boxLabelsDistance, boxTitle, d_graph, invertTitleBox, and mapToQwtAxis().

Referenced by initAxesPage(), and setGraph().

## Member Data Documentation

## axesGridList

QListWidget* AxesDialog::axesGridList

protected

Referenced by applyChangesToGrid(), exec(), initGridPage(), and setGraph().

## axesList

QListWidget* AxesDialog::axesList

protected

Referenced by exec(), initScalesPage(), pageChanged(), setCurrentScale(), updateMinorTicksList(), updatePlot(), and updateScale().

## axesPage

QWidget* AxesDialog::axesPage

protected

Referenced by applyAxisFormat(), initAxesPage(), pageChanged(), setCurrentScale(), showAxesPage(), and updatePlot().

## axesTitlesList

QListWidget* AxesDialog::axesTitlesList

protected

Referenced by exec(), initAxesPage(), mapToQwtAxisId(), pageChanged(), setCurrentScale(), and showAxis().

## axisFormatApplyToBox

QComboBox* AxesDialog::axisFormatApplyToBox

protected

Referenced by applyAxisFormat(), and initAxesPage().

## axisFormatBox

QGroupBox* AxesDialog::axisFormatBox

protected

Referenced by initAxesPage(), showAxis(), and updateShowBox().

## axisLabelColorButton

ColorButton* AxesDialog::axisLabelColorButton

protected

Referenced by initAxesPage(), pickAxisLabelColor(), and updateAxisColor().

## boxAngle

QSpinBox * AxesDialog::boxAngle

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), updatePlot(), updateShowBox(), and updateTickLabelsList().

## boxAntialiseGrid

QCheckBox * AxesDialog::boxAntialiseGrid

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxApplyGridFormat

QComboBox* AxesDialog::boxApplyGridFormat

protected

Referenced by initGridPage(), and updateGrid().

## boxAxesBreaks

QGroupBox* AxesDialog::boxAxesBreaks

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxAxesLinewidth

QSpinBox * AxesDialog::boxAxesLinewidth

protected

Referenced by applyCanvasFormatTo(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxAxisBackbone

QCheckBox* AxesDialog::boxAxisBackbone

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), showAxis(), updateCurrentAxis(), updatePlot(), and updateTickLabelsList().

## boxAxisColor

ColorButton* AxesDialog::boxAxisColor

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), showAxis(), updateAxisColor(), updatePlot(), and updateTickLabelsList().

## boxAxisNumColor

ColorButton * AxesDialog::boxAxisNumColor

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), showAxis(), updateAxisColor(), updatePlot(), and updateTickLabelsList().

## boxAxisType

QComboBox * AxesDialog::boxAxisType

protected

Referenced by initAxesPage(), setAxisType(), setLabelsNumericFormat(), showAxis(), updateAxisType(), updateLabelsFormat(), updatePlot(), and updateTickLabelsList().

## boxBackbones

QCheckBox* AxesDialog::boxBackbones

protected

Referenced by applyCanvasFormatTo(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxBaseline

QSpinBox * AxesDialog::boxBaseline

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setBaselineDist(), setLabelsNumericFormat(), showAxis(), updatePlot(), and updateTickLabelsList().

## boxBorderWidth

QSpinBox * AxesDialog::boxBorderWidth

protected

## boxBreakDecoration

QCheckBox * AxesDialog::boxBreakDecoration

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxBreakEnd

DoubleSpinBox * AxesDialog::boxBreakEnd

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxBreakPosition

QSpinBox* AxesDialog::boxBreakPosition

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxBreakStart

DoubleSpinBox* AxesDialog::boxBreakStart

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxBreakWidth

QSpinBox * AxesDialog::boxBreakWidth

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxCanvasColor

ColorButton* AxesDialog::boxCanvasColor

protected

## boxColName

QComboBox * AxesDialog::boxColName

protected

Referenced by initAxesPage(), setAxisType(), setGraph(), setLabelsNumericFormat(), showAxis(), showAxisFormatOptions(), updatePlot(), and updateTickLabelsList().

## boxColorMajor

ColorButton* AxesDialog::boxColorMajor

protected

Referenced by applyChangesToGrid(), initGridPage(), majorGridEnabled(), and showGridOptions().

## boxColorMinor

ColorButton* AxesDialog::boxColorMinor

protected

Referenced by applyChangesToGrid(), initGridPage(), minorGridEnabled(), and showGridOptions().

## boxEnd

DoubleSpinBox* AxesDialog::boxEnd

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxEndDateTime

QDateTimeEdit * AxesDialog::boxEndDateTime

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxFormat

QComboBox * AxesDialog::boxFormat

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), showAxisFormatOptions(), updateLabelsFormat(), updatePlot(), updateShowBox(), and updateTickLabelsList().

## boxFormula

QTextEdit* AxesDialog::boxFormula

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), showAxisFormatOptions(), showAxisFormula(), showFormulaBox(), updateLabelsFormat(), updatePlot(), and updateTickLabelsList().

## boxFrameColor

ColorButton* AxesDialog::boxFrameColor

protected

Referenced by applyCanvasFormatTo(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxFramed

QGroupBox* AxesDialog::boxFramed

protected

Referenced by applyCanvasFormatTo(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxFrameWidth

QSpinBox* AxesDialog::boxFrameWidth

protected

Referenced by applyCanvasFormatTo(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxGridXAxis

QComboBox * AxesDialog::boxGridXAxis

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxGridYAxis

QComboBox * AxesDialog::boxGridYAxis

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxLabelsDistance

QSpinBox* AxesDialog::boxLabelsDistance

protected

Referenced by initAxesPage(), updatePlot(), and updateTitleBox().

## boxLog10AfterBreak

QCheckBox* AxesDialog::boxLog10AfterBreak

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxMajorGrid

QCheckBox* AxesDialog::boxMajorGrid

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxMajorTicksLength

QSpinBox* AxesDialog::boxMajorTicksLength

protected

Referenced by applyAxisFormatToLayer(), applyCanvasFormatTo(), changeMinorTicksLength(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxMajorTicksType

QComboBox* AxesDialog::boxMajorTicksType

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), setTicksType(), showAxis(), updatePlot(), and updateTickLabelsList().

## boxMajorValue

QSpinBox* AxesDialog::boxMajorValue

protected

Referenced by initScalesPage(), stepDisabled(), stepEnabled(), updatePlot(), and updateScale().

## boxMinorGrid

QCheckBox* AxesDialog::boxMinorGrid

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxMinorTicksAfterBreak

QComboBox * AxesDialog::boxMinorTicksAfterBreak

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxMinorTicksBeforeBreak

QComboBox* AxesDialog::boxMinorTicksBeforeBreak

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxMinorTicksLength

QSpinBox * AxesDialog::boxMinorTicksLength

protected

Referenced by applyAxisFormatToLayer(), applyCanvasFormatTo(), changeMajorTicksLength(), initFramePage(), setFrameDefaultValues(), and setGraph().

## boxMinorTicksType

QComboBox * AxesDialog::boxMinorTicksType

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), setTicksType(), showAxis(), updatePlot(), and updateTickLabelsList().

## boxMinorValue

QComboBox* AxesDialog::boxMinorValue

protected

Referenced by initScalesPage(), updateMinorTicksList(), updatePlot(), and updateScale().

## boxPrecision

QSpinBox * AxesDialog::boxPrecision

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), showAxisFormatOptions(), updateLabelsFormat(), updatePlot(), and updateTickLabelsList().

## boxPrefix

QLineEdit* AxesDialog::boxPrefix

protected

Referenced by initAxesPage(), showAxis(), and updateCurrentAxis().

## boxScaleType

QComboBox* AxesDialog::boxScaleType

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxScaleTypeLabel

QLabel * AxesDialog::boxScaleTypeLabel

protected

Referenced by initScalesPage().

## boxShowAxis

QCheckBox* AxesDialog::boxShowAxis

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), updatePlot(), updateShowBox(), and updateTickLabelsList().

## boxShowFormula

QCheckBox * AxesDialog::boxShowFormula

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), showAxisFormatOptions(), showAxisFormula(), showFormulaBox(), updateLabelsFormat(), updatePlot(), and updateTickLabelsList().

## boxShowLabels

QGroupBox* AxesDialog::boxShowLabels

protected

Referenced by initAxesPage(), setLabelsNumericFormat(), showAxis(), updateCurrentAxis(), updatePlot(), updateShowBox(), and updateTickLabelsList().

## boxStart

DoubleSpinBox* AxesDialog::boxStart

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxStartDateTime

QDateTimeEdit* AxesDialog::boxStartDateTime

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxStep

DoubleSpinBox* AxesDialog::boxStep

protected

Referenced by initScalesPage(), stepDisabled(), stepEnabled(), updatePlot(), and updateScale().

## boxStepAfterBreak

DoubleSpinBox * AxesDialog::boxStepAfterBreak

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxStepBeforeBreak

DoubleSpinBox * AxesDialog::boxStepBeforeBreak

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## boxSuffix

QLineEdit * AxesDialog::boxSuffix

protected

Referenced by initAxesPage(), showAxis(), and updateCurrentAxis().

## boxTableName

QComboBox * AxesDialog::boxTableName

protected

Referenced by initAxesPage(), setGraph(), showAxisFormatOptions(), and updatePlot().

## boxTickLabelDistance

QSpinBox* AxesDialog::boxTickLabelDistance

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), showAxis(), updateCurrentAxis(), updatePlot(), and updateTickLabelsList().

## boxTitle

QTextEdit * AxesDialog::boxTitle

protected

Referenced by initAxesPage(), updatePlot(), and updateTitleBox().

## boxTypeMajor

PenStyleBox* AxesDialog::boxTypeMajor

protected

Referenced by applyChangesToGrid(), initGridPage(), majorGridEnabled(), and showGridOptions().

## boxTypeMinor

PenStyleBox* AxesDialog::boxTypeMinor

protected

Referenced by applyChangesToGrid(), initGridPage(), minorGridEnabled(), and showGridOptions().

## boxUnit

QComboBox* AxesDialog::boxUnit

protected

Referenced by initScalesPage(), stepDisabled(), stepEnabled(), updatePlot(), and updateScale().

## boxWidthMajor

DoubleSpinBox* AxesDialog::boxWidthMajor

protected

Referenced by applyChangesToGrid(), initGridPage(), majorGridEnabled(), and showGridOptions().

## boxWidthMinor

DoubleSpinBox* AxesDialog::boxWidthMinor

protected

Referenced by applyChangesToGrid(), initGridPage(), minorGridEnabled(), and showGridOptions().

## boxXLine

QCheckBox* AxesDialog::boxXLine

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## boxYLine

QCheckBox* AxesDialog::boxYLine

protected

Referenced by applyChangesToGrid(), initGridPage(), and showGridOptions().

## btnAxesFont

QPushButton* AxesDialog::btnAxesFont

protected

Referenced by initAxesPage().

## btnInvert

QCheckBox* AxesDialog::btnInvert

protected

Referenced by initScalesPage(), updatePlot(), and updateScale().

## btnMajor

QRadioButton* AxesDialog::btnMajor

protected

Referenced by initScalesPage(), stepDisabled(), stepEnabled(), and updateScale().

## btnStep

QRadioButton* AxesDialog::btnStep

protected

Referenced by initScalesPage(), stepDisabled(), stepEnabled(), updatePlot(), and updateScale().

## buttonApply

QPushButton* AxesDialog::buttonApply

protected

Referenced by AxesDialog().

## buttonCancel

QPushButton* AxesDialog::buttonCancel

protected

Referenced by AxesDialog().

## buttonLabelFont

QPushButton* AxesDialog::buttonLabelFont

protected

Referenced by initAxesPage().

## buttonOk

QPushButton* AxesDialog::buttonOk

protected

Referenced by AxesDialog().

## canvasFrameApplyToBox

QComboBox* AxesDialog::canvasFrameApplyToBox

protected

Referenced by applyCanvasFormat(), and initFramePage().

## d_graph

Graph* AxesDialog::d_graph

protected

Referenced by applyAxisFormat(), applyAxisFormatToLayer(), applyCanvasFormat(), customAxisFont(), customAxisLabelFont(), pickAxisLabelColor(), setAxisType(), setBaselineDist(), setGraph(), setLabelsNumericFormat(), setTicksType(), showAxis(), showAxisFormatOptions(), showAxisFormula(), showGridOptions(), updateAxisColor(), updateCurrentAxis(), updateGrid(), updateLabelsFormat(), updateMinorTicksList(), updatePlot(), updateScale(), updateShowBox(), and updateTitleBox().

## formatButtons

TextFormatButtons* AxesDialog::formatButtons

protected

Referenced by initAxesPage().

## frame

QWidget * AxesDialog::frame

protected

Referenced by applyCanvasFormat(), initFramePage(), showGeneralPage(), and updatePlot().

## frameDefaultBtn

QPushButton* AxesDialog::frameDefaultBtn

protected

Referenced by initFramePage().

## generalDialog

QTabWidget* AxesDialog::generalDialog

protected

Referenced by applyAxisFormat(), applyCanvasFormat(), AxesDialog(), initAxesPage(), initFramePage(), initGridPage(), initScalesPage(), setCurrentScale(), showAxesPage(), showGeneralPage(), showGridPage(), updateGrid(), and updatePlot().

## gridPage

QWidget* AxesDialog::gridPage

protected

Referenced by initGridPage(), showGridPage(), updateGrid(), and updatePlot().

## invertTitleBox

QCheckBox* AxesDialog::invertTitleBox

protected

Referenced by initAxesPage(), updatePlot(), and updateTitleBox().

## label1

QLabel* AxesDialog::label1

protected

Referenced by initAxesPage(), and showAxisFormatOptions().

## label2

QLabel * AxesDialog::label2

protected

Referenced by initAxesPage(), and showAxisFormatOptions().

## label3

QLabel * AxesDialog::label3

protected

Referenced by initAxesPage(), and showAxisFormatOptions().

## labelBox

QGroupBox* AxesDialog::labelBox

protected

Referenced by initAxesPage(), showAxis(), and updateShowBox().

## labelTable

QLabel * AxesDialog::labelTable

protected

Referenced by initAxesPage(), and showAxisFormatOptions().

## lastPage

QWidget* AxesDialog::lastPage

protected

Last selected tab.

Referenced by AxesDialog(), and pageChanged().

## minorBoxLabel

QLabel * AxesDialog::minorBoxLabel

protected

Referenced by initScalesPage().

## scalesPage

QWidget* AxesDialog::scalesPage

protected

Referenced by AxesDialog(), initScalesPage(), pageChanged(), setCurrentScale(), and updatePlot().

## showTicksPolicyBox

QComboBox* AxesDialog::showTicksPolicyBox

protected

Referenced by applyAxisFormatToLayer(), initAxesPage(), setLabelsNumericFormat(), showAxis(), updateCurrentAxis(), updatePlot(), and updateTickLabelsList().

## tickLabelsOn

QStringList AxesDialog::tickLabelsOn

protected

Referenced by setGraph(), showAxis(), updateShowBox(), and updateTickLabelsList().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/AxesDialog.h
- qtiplot/src/plot2D/dialogs/AxesDialog.cpp